﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace RenderLab2RenderBaby
{
	class KeyboardState
	{
		int[] data = new int[256];

		public KeyboardState()
		{
			Reset();
		}

		public void Reset()
		{
			for (int i = 0; i < 256; i++)
				data[i] = 0;
		}

		public int[] Data
		{
			get
			{
				return data;
			}
		}

		public void KeyDown(Keys key)
		{
			data[(int)key & 0xff] = 1;
		}

		public void KeyUp(Keys key)
		{
			data[(int)key & 0xff] = 0;
		}
	}
}
