﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RenderLab2RenderBaby
{
	unsafe class MouseState
	{
		int[] data = new int[5];
		int pixelX, pixelY;
		int screenX, screenY;
		int buttonState = 0;

		public int PixelX
		{
			get
			{
				return data[0];
			}
			set
			{
				data[0] = value;
			}
		}

		public int PixelY
		{
			get
			{
				return data[1];
			}
			set
			{
				data[1] = value;
			}
		}

		public int ScreenX
		{
			get
			{
				return data[2];
			}
			set
			{
				data[2] = value;
			}
		}

		public int ScreenY
		{
			get
			{
				return data[3];
			}
			set
			{
				data[3] = value;
			}
		}

		public void ButtonDown(int index)
		{
			data[4] |= 1 << index;
		}

		public void ButtonUp(int index)
		{
			data[4] &= ~(1 << index);
		}

		public int[] Data
		{
			get
			{
				return data;
			}
		}
	}
}
