﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace RenderLab2RenderBaby
{
	public class CircularStack
	{
		double[] data;
		int index = 0;
		double total = 0.0;
		int count = 0;
		public CircularStack(int size)
		{
			data = new double[size];
			count = 0;
			Clear();
		}

		public void Clear()
		{
			for (int i = 0; i < data.Length; i++)
				data[i] = 0.0;
			index = 0;
			total = 0.0;
			count = 0;
		}

		public void Push(double v)
		{
			// Subtract the previous value and add the current one
			total = total - data[index] + v;
			count++;
			// Push the value
			data[index] = v;
			index++;
			index %= data.Length;

			if (count > data.Length)
				count = data.Length;
		}

		public double Average
		{
			get
			{
				if (count == 0)
					return 0.0;
				else
					return total / (double)count;
			}
		}
	}
}
